package com.manage.util;

import java.util.List;
/**
 * <p>Title:JsonModel </p>
 * <p>Description: </p>
 * <p>Company: </p>
 * @author hu
 * @date
 */
public class JsonModel {
	private String id;
	private String text;
	private String icon;
	private StateForJsonModel state;
	private List<JsonModel> children;
	private Object li_attr;
	private Object a_attr;


	public String getId() {
		return id;
	}


	public void setId(String id) {
		this.id = id;
	}


	public String getText() {
		return text;
	}


	public void setText(String text) {
		this.text = text;
	}


	public String getIcon() {
		return icon;
	}


	public void setIcon(String icon) {
		this.icon = icon;
	}


	public StateForJsonModel getState() {
		return state;
	}


	public void setState(StateForJsonModel state) {
		this.state = state;
	}


	public List<JsonModel> getChildren() {
		return children;
	}


	public void setChildren(List<JsonModel> children) {
		this.children = children;
	}


	public Object getLi_attr() {
		return li_attr;
	}


	public void setLi_attr(Object li_attr) {
		this.li_attr = li_attr;
	}


	public Object getA_attr() {
		return a_attr;
	}


	public void setA_attr(Object a_attr) {
		this.a_attr = a_attr;
	}
	
	
}
